## [5.2.3] - 2024-06-12
### Fixed
- There was a small typo in the code that generated in certain cases an incorrect URL to download PDF files.
- Sometimes the PDF Viewer was still blocked by the "View in full screen" button on mobile devices.
- Remove some debugging messages that are displayed in the browser console in certain cases by the PDF.js library.

## [5.2.2] - 2024-06-07
### Fixed
- Remove debug code that was left in the plugin by mistake resulting in fatal error.

## [5.2.1] - 2024-06-07
### Changed
- Do not display the license key on the About page in plain text.

### Fixed
- There was an error in code that prevented WordPress from removing the plugin using the plugins admin interface.
- PDF files located outside the default WordPress uploaded Media files location were not rendered in the Viewer, home page was loaded instead.

## [5.2.0] - 2024-06-06
### IMPORTANT
- The minimum WordPress version is now WordPress v5.8.
- The minimum PHP version is now PHP v7.0.
- If you are using a caching plugin and added PDF Embedder JS files to the exclusion list, you will need to do that again due to changed JS file names.

### Added
- A ton of new configuration options were added to the PDF Embedder block. If modified, they override the global plugin settings on a per-file basis.

### Changed
- The plugin admin area interface has been refreshed.
- The plugin has been tested with the latest version of WordPress.
- Block was rewritten from scratch, and now it looks and works better in the Block Editor and also syncs its default settings with plugin options.
- The PDF Viewer (which continues to use an iframe) now has a proper canonical URL when pointing to the public PDF file. Secured PDFs have a robots `noindex` meta tag.

### Fixed
- A lot of strings in the plugin have been fixed to make them accurate and translatable.
- Several security-related improvements have been implemented (data sanitization and escaping). Also, improved the way PDF files are rendered to prevent arbitrary script execution.
- PDF file embedded via a shortcode was not loadable when the content was retrieved via AJAX.
- Text in PDF files in certain languages (like Japanese and Korean) was not rendered correctly.
- Download and View counter can be enabled and disabled on a per PDF file basis via shortcode attributes (`view_counter` and `download_counter`) or block options (toggle to on/off).
- Toolbar locations `bottom` and `both` were not working properly due to various JavaScript errors.
- There was incorrect padding at the top of the viewer when the toolbar location was set to other than `top` or `both`.
- The `zoom` attribute defined for a specific file was not passed properly to the viewer.
- User-redefined zoom value was not preselected inside the Viewer Toolbar.
- External links option (global for the plugin and per individual PDF file) was not respecting the "Open in new tab" setting.
- The fullscreen button in the viewer was not working correctly. You can now close it by pressing the `ESC` key on your keyboard or clicking the same fullscreen icon again.
- PDF Attachment pages were having some performance issues due to the excessive number of database queries.
- Improved the responsiveness (ability to interact with) of scrollbars and automatically hidden toolbar when it's not fixed.
- Improved the readability of the text inside the Search panel inside the Viewer.
- You can now again set the first page of the multipage PDF file to be displayed by default via a shortcode attribute or a block option.
- The "Scroll to Top" attribute in the shortcode (or plugin global setting) was not scrolling to the top of the PDF file when arrow navigation within the Viewer was used.
- Watermarks are now part of the Viewer canvas which makes them more reliable.
- Correctly handle newline characters in the watermark text, they are now preserved.
- Correctly center the watermark text in the PDF Viewer according to the viewer sizes.
- The loading speed of PDF files improved in various cases.
- It was not possible to download the PDF file from within the Viewer on certain WordPress installations.
- Some performance-related issues were addressed, so the plugin has less effect on the overall site performance.
- PDF files' encryption was not working as expected.
- Several encoding issues in various PDF files were fixed.
- "Disable right-click" option was not working properly.
- Enabling the tracking functionality (PDF views and downloads) didn't have an effect, now the counters are displayed and incremented properly.
- The mobile options in the plugin were not working as expected, now the button to display the file in full screen is visible on mobile devices, threshold is configurable. The threshold is applicable to the PDF Viewer width.
- PDF Viewer styles on mobile are improved a little bit. More to come!
