import { shadow } from 'pdfjs-dist';
import { GenericL10n } from "./genericl10n.js";
import { AppOptions } from './app_options.js';

class ExternalServices {
	constructor() {
		throw new Error('Cannot initialize DefaultExternalServices.');
	}

	static updateFindControlState(data) {}

	static updateFindMatchesCount(data) {}

	static initPassiveLoading(callbacks) {}

	static createDownloadManager(options) {
		throw new Error('Not implemented: createDownloadManager');
	}

	static createPreferences() {
		throw new Error('Not implemented: createPreferences');
	}

	static createL10n(options) {
		return new GenericL10n( AppOptions.get( 'locale' ) );
	}

	static createScripting(options) {
		throw new Error('Not implemented: createScripting');
	}

	static get supportsIntegratedFind() {
		return shadow(this, 'supportsIntegratedFind', false);
	}

	static get supportsDocumentFonts() {
		return shadow(this, 'supportsDocumentFonts', true);
	}

	static get supportedMouseWheelZoomModifierKeys() {
		return shadow(this, 'supportedMouseWheelZoomModifierKeys', {
			ctrlKey: true,
			metaKey: true,
		});
	}

	static get isInAutomation() {
		return shadow(this, 'isInAutomation', false);
	}

	static updateEditorStates(data) {
		throw new Error('Not implemented: updateEditorStates');
	}
}

export { ExternalServices };
